## network-manager 1.50.2

=== debian/changelog ===
network-manager (1.50.2-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.50.2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 18 Feb 2025 07:20:28 +0000

network-manager (1.50.2-1) unstable; urgency=medium

  * New upstream version 1.50.2

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Jan 2025 19:14:11 +0100

network-manager (1.50.1-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.50.1-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 26 Dec 2024 06:41:20 +0000

network-manager (1.50.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.50.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 05 Oct 2024 09:39:58 +0100

network-manager (1.49.91-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.49.91-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 25 Sep 2024 15:58:16 +0100

network-manager (1.49.90-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.49.90-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 18 Sep 2024 07:16:11 +0100

network-manager (1.48.10-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.48.10-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 27 Aug 2024 07:15:11 +0100

network-manager (1.48.8-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.48.8-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 10 Aug 2024 06:39:05 +0100

network-manager (1.48.6-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.48.6-1.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 26 Jul 2024 16:13:43 +0100

network-manager (1.48.4-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.48.4-1.
  * d/gbp.conf: use pristine-tar

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 13 Jul 2024 11:05:58 +0100

network-manager (1.48.2-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.48.2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 24 Jun 2024 16:16:18 +0100

network-manager (1.48.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.48.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 01 Jun 2024 06:37:48 +0100

network-manager (1.47.91-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.47.91-1.
  * d/gbp.conf: revert specifying compression as this is handled natively
    in the builders.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 17 May 2024 18:15:38 +0100

network-manager (1.46.0-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.46.0-2.
  * d/gbp.conf: specify gz compression to work around gbp changed default.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 26 Apr 2024 06:41:01 +0100

network-manager (1.46.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.46.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 22 Feb 2024 22:43:18 +0000

network-manager (1.44.2-7devuan1) unstable; urgency=medium

  * Merge tag debian/1.44.2-7.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 30 Dec 2023 17:15:52 +0000

network-manager (1.44.2-6devuan1) unstable; urgency=medium

  * Merge tag debian/1.44.2-6.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 28 Nov 2023 07:51:05 +0000

network-manager (1.44.2-5devuan1) unstable; urgency=medium

  * Merge tag debian/1.44.2-5.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 21 Nov 2023 07:25:00 +0000

network-manager (1.44.2-4devuan1) unstable; urgency=medium

  * Merge tag debian/1.44.2-4.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 20 Nov 2023 08:39:59 +0000

network-manager (1.44.2-3devuan1) unstable; urgency=medium

  * Merge tag debian/1.44.2-3.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 20 Oct 2023 22:18:51 +0100

network-manager (1.44.2-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.44.2-2.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 18 Oct 2023 15:46:00 +0100

network-manager (1.44.2-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.44.2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 04 Oct 2023 17:40:19 +0100

network-manager (1.44.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.44.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 16 Aug 2023 16:50:31 +0100

network-manager (1.42.4-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.42.4-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 09 Mar 2023 22:16:30 +0000

network-manager (1.42.2-2devuan1) unstable; urgency=medium

  * Merge tag debian/1.42.2-2.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 03 Mar 2023 21:00:25 +0000

network-manager (1.42.2-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.42.2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 23 Feb 2023 21:28:56 +0000

network-manager (1.42.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.42.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 10 Feb 2023 22:46:18 +0000

network-manager (1.40.12-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.40.12-1.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 27 Jan 2023 06:32:56 +0000

network-manager (1.40.10-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.40.10-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 12 Jan 2023 07:22:46 +0000

network-manager (1.40.8-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.40.8-1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 20 Dec 2022 08:56:47 +0000

network-manager (1.40.6-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.40.6-1.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 01 Dec 2022 07:07:07 +0000

network-manager (1.40.4-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.40.4-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 19 Nov 2022 07:52:42 +0000

network-manager (1.40.2-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.40.2-1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 19 Oct 2022 07:02:12 +0100

network-manager (1.40.0-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.40.0-1.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 09 Sep 2022 13:49:49 +0100

network-manager (1.38.4-1devuan1) unstable; urgency=medium

  * Merge tag debian/1.38.4-1.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 14 Aug 2022 10:39:35 +0100



=== debian/control ===
Source: network-manager
Section: net
Priority: optional
Maintainer: Mark Hindley <mark@hindley.org.uk>
Build-Depends: debhelper-compat (= 13),
               debhelper (>= 13.11.6),
               dh-sequence-gir,
               meson (>= 0.51.0),
               pkgconf,
               gettext (>= 0.19.8),
               libglib2.0-dev (>= 2.42),
               ppp-dev,
               libselinux1-dev,
               libaudit-dev,
               libgnutls28-dev (>= 2.12),
               uuid-dev,
               libelogind-dev (>= 209),
               libudev-dev (>= 175),
               gir1.2-gio-2.0-dev,
               gir1.2-girepository-2.0,
               gobject-introspection,
               python3-gi,
               libpsl-dev (>= 0.1),
               libcurl4-gnutls-dev (>= 7.24.0),
               gtk-doc-tools,
               libglib2.0-doc,
               libmm-glib-dev (>=  0.7.991),
               libndp-dev,
               libreadline-dev,
               libnewt-dev (>= 0.52.15),
               libteam-dev (>= 1.9),
               libjansson-dev (>= 2.7),
               libbluetooth-dev (>= 5),
               libdbus-1-dev,
               libpolkit-gobject-1-dev,
               mobile-broadband-provider-info,
               valac,
               polkitd,
               libpolkit-gobject-1-dev,
               dbus <!nocheck>,
               python3-dbus <!nocheck>,
               python3-pexpect <!nocheck>,
               iproute2 <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Vcs-Git: https://git.devuan.org/devuan/network-manager.git
Vcs-Browser: https://git.devuan.org/devuan/network-manager
Origin: Devuan
Homepage: https://networkmanager.dev/

Package: network-manager
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libnm0 (= ${binary:Version}),
         default-dbus-system-bus | dbus-system-bus,
         adduser,
         default-logind | logind,
Recommends: ppp,
            dnsmasq-base,
            modemmanager,
            wireless-regdb,
            wpasupplicant,
            polkitd,
            udev,
Suggests: libteam-utils,
          iptables,
Breaks: ${misc:Breaks}
Description: network management framework (daemon and userspace tools)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package provides the userspace daemons and a command line interface to
 interact with NetworkManager.
 .
 Optional dependencies:
  * ppp: Required for establishing dial-up connections (e.g. via GSM).
  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
    connection sharing.
  * libteam-utils: Network Team driver allows multiple network interfaces to be
    teamed together and act like a single one. This process is called "ethernet
    bonding", "channel teaming" or "link aggregation".

Package: network-manager-dev
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: network management framework (development files)
 This package provides documentation of the NetworkManager D-Bus API, the
 configuration formats and command line utilities.
 It also provides D-Bus introspection files.

Package: libnm0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GObject-based client library for NetworkManager
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains a convenience library to ease the access to
 NetworkManager.

Package: libnm-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends},
         libnm0 (= ${binary:Version}),
         libglib2.0-dev
Provides: ${gir:Provides}
Description: GObject-based client library for NetworkManager (development files)
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains header and development files.

Package: gir1.2-nm-1.0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the libnm library
 NetworkManager is a system network service that manages your network devices
 and connections, attempting to keep active network connectivity when
 available. It manages ethernet, Wi-Fi, mobile broadband (WWAN), and PPPoE
 devices, and provides VPN integration with a variety of different VPN
 services.
 .
 This package contains introspection data for NetworkManager using libnm.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: network-manager-config-connectivity-debian
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         network-manager (>= ${source:Version})
Description: NetworkManager configuration to enable connectivity checking
 This package contains a configuration file which enables NetworkManager's
 connectivity checking functionality.
 .
 NetworkManager will try to connect to a Debian server to determine the
 connection status.
 .
 This is particularly useful for captive portal detection.
 .
 No user data is transmitted in the connectivity checks, but merely contacting
 the Debian connectivity check servers reveals that the user is running a
 Debian(-based) operating system with NetworkManager.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# Disable lto here regardless of whether we enable the configure flag
# https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/1070
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

export PYTHON=/usr/bin/python3

PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)

%:
	dh $@ --with ppp --without autoreconf --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Druntime_dir=/run \
		-Dpppd_plugin_dir=$(PPPD_PLUGIN_DIR) \
		-Dpppd=/usr/sbin/pppd \
		-Dresolvconf=/usr/sbin/resolvconf \
		-Dmodprobe=/usr/sbin/modprobe \
		-Ddhcpcanon=false \
		-Ddhcpcd=false \
		-Diptables=/usr/sbin/iptables \
		-Dnft=/usr/sbin/nft \
		-Ddnsmasq=/usr/sbin/dnsmasq \
		-Dpolkit_agent_helper_1=/usr/lib/policykit-1/polkit-agent-helper-1 \
		-Dsystemdsystemunitdir=/usr/lib/systemd/system \
		-Dudev_dir=/usr/lib/udev \
		-Ddbus_conf_dir=/usr/share/dbus-1/system.d \
		-Dcrypto=gnutls \
		-Dsession_tracking=elogind \
		-Dsuspend_resume=elogind \
		-Dmodem_manager=true \
		-Dnmtui=true \
		-Dnmcli=true \
		-Dselinux=true \
		-Dsystemd_journal=false \
		-Dlibaudit=yes \
		-Dwext=true \
		-Dwifi=true \
		-Diwd=true \
		-Dppp=true \
		-Dpolkit=true \
		-Dintrospection=true \
		-Ddocs=true \
		-Dconcheck=true \
		-Dteamdctl=true \
		-Dbluez5_dun=true \
		-Dvapi=true \
		-Difupdown=true \
		-Difcfg_rh=false \
		-Dnm_cloud_setup=false \
		-Dmodify_system=false \
		-Dovs=false \
		-Dqt=false \
		-Debpf=false \
		-Dofono=false

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

override_dh_ppp:
	dh_ppp --breaks

## network-manager 1.50.3

=== debian/changelog ===
network-manager (1.50.3-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 28 Feb 2025 15:16:34 +0200

network-manager (1.50.3-1) unstable; urgency=medium

  * New upstream version 1.50.3
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Thu, 27 Feb 2025 22:46:25 +0100

=== debian/rules ===
--- 
+++ 
@@ -30,8 +30,8 @@
 		-Dudev_dir=/usr/lib/udev \
 		-Ddbus_conf_dir=/usr/share/dbus-1/system.d \
 		-Dcrypto=gnutls \
-		-Dsession_tracking=elogind \
-		-Dsuspend_resume=elogind \
+		-Dsession_tracking=no \
+		-Dsuspend_resume=consolekit \
 		-Dmodem_manager=true \
 		-Dnmtui=true \
 		-Dnmcli=true \
@@ -63,3 +63,6 @@
 
 override_dh_ppp:
 	dh_ppp --breaks
+
+override_dh_missing:
+	dh_missing --list-missing

## network-manager 1.52.0

=== meson_options.txt ===
# system paths
option('systemdsystemunitdir', type: 'string', value: '', description: 'Directory for systemd service files')
option('system_ca_path', type: 'string', value: '/etc/ssl/certs', description: 'path to system CA certificates')
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory. Set to \'no\' not to install the udev rule')
option('dbus_conf_dir', type: 'string', value: '', description: 'where D-Bus system.d directory is')
option('kernel_firmware_dir', type: 'string', value: '/lib/firmware', description: 'where kernel firmware directory is (default is /lib/firmware)')
option('runtime_dir', type: 'string', value: '', description: 'Directory for transient runtime state [default: LOCALSTATEDIR/run or /run]')
option('iptables', type: 'string', value: '', description: 'path to iptables')
option('nft', type: 'string', value: '', description: 'path to nft')
option('dnsmasq', type: 'string', value: '', description: 'path to dnsmasq')
option('modprobe', type: 'string', value: '', description: 'path to modprobe')

# platform
option('dist_version', type: 'string', value: '', description: 'Define the NM\'s distribution version string')
option('session_tracking_consolekit', type: 'boolean', value: true, description: 'Support consolekit session tracking')
option('session_tracking', type: 'combo', choices: ['systemd', 'elogind', 'no'], value: 'systemd', description: 'Compatibility option to choose one session tracking module')
option('suspend_resume', type: 'combo', choices: ['systemd', 'elogind', 'consolekit', 'auto'], value: 'auto', description: 'Build NetworkManager with specific suspend/resume support')
option('polkit', type: 'boolean', value: true, description: 'User auth-polkit configuration option.')
option('config_auth_polkit_default', type: 'combo', choices: ['default', 'true', 'false', 'root-only'], value: 'default', description: 'Default value for configuration main.auth-polkit.')
option('modify_system', type: 'boolean', value: false, description: 'Allow users to modify system connections')
option('polkit_agent_helper_1', type: 'string', value: '', description: 'Path name to the polkit-agent-helper-1 binary from polkit')
option('selinux', type: 'boolean', value: true, description: 'Build with SELinux')
option('systemd_journal', type: 'boolean', value: true, description: 'Use systemd journal for logging')
option('config_logging_backend_default', type: 'combo', choices: ['default', 'syslog', 'journal'], value: 'default', description: 'Default value for logging.backend')
option('config_wifi_backend_default', type: 'combo', choices: ['default', 'wpa_supplicant', 'iwd'], value: 'default', description: 'Default value for wifi.backend')
option('hostname_persist', type: 'combo', choices: ['default', 'suse', 'gentoo', 'slackware'], value: 'default', description: 'Hostname persist method')
option('libaudit', type: 'combo', choices: ['yes', 'yes-disabled-by-default', 'no'], value: 'yes', description: 'Build with audit daemon support. yes-disabled-by-default enables support, but disables it unless explicitly configured via NetworkManager.conf')

# features
option('wext', type: 'boolean', value: true, description: 'Enable or disable Linux Wireless Extensions')
option('wifi', type: 'boolean', value: true, description: 'enable Wi-Fi support')
option('iwd', type: 'boolean', value: false, description: 'enable iwd support (experimental)')
option('ppp', type: 'boolean', value: true, description: 'enable PPP/PPPoE support')
option('pppd', type: 'string', value: '', description: 'path to pppd binary')
option('pppd_plugin_dir', type: 'string', value: '', description: 'path to the pppd plugins directory')
option('modem_manager', type: 'boolean', value: true, description: 'Enable new ModemManager1 interface support')
option('mobile_broadband_provider_info_database', type: 'string', value: '', description: 'path to the mobile-broadband-provider-info database')
option('ofono', type: 'boolean', value: false, description: 'Enable oFono support (experimental)')
option('concheck', type: 'boolean', value: true, description: 'enable connectivity checking support')
option('teamdctl', type: 'boolean', value: false, description: 'enable Teamd control support')
option('ovs', type: 'boolean', value: true, description: 'enable Open vSwitch support')
option('nmcli', type: 'boolean', value: true, description: 'Build nmcli')
option('nmtui', type: 'boolean', value: true, description: 'Build nmtui')
option('nm_cloud_setup', type: 'boolean', value: true, description: 'Build nm-cloud-setup, a tool for automatically configuring networking in cloud')
option('bluez5_dun', type: 'boolean', value: false, description: 'enable Bluez5 DUN support')
option('ebpf', type: 'combo', choices: ['auto', 'true', 'false'], description: 'Enable eBPF support')

# configuration plugins
option('config_plugins_default', type: 'string', value: '', description: 'Default configuration option for main.plugins setting, used as fallback if the configuration option is unset')
option('ifcfg_rh', type: 'boolean', value: false, description: 'enable ifcfg-rh configuration plugin (Fedora/RHEL) (deprecated)')
option('ifupdown', type: 'combo', choices:['auto', 'true', 'false'], value: 'auto', description: 'enable ifupdown configuration plugin (Debian/Ubuntu)')
option('config_migrate_ifcfg_rh_default', type: 'boolean', value: false, description: 'The default value of the main.migrate-ifcfg-rh configuration option')

# handlers for resolv.conf
option('resolvconf', type: 'string', value: '', description: 'Enable resolvconf support')
option('netconfig', type: 'string', value: '', description: 'Enable SUSE netconfig support')
option('config_dns_rc_manager_default', type: 'combo', choices: ['auto', 'symlink', 'file', 'netconfig', 'resolvconf'], value: 'auto', description: 'Configure default value for main.rc-manager setting')

# dhcp clients
option('dhclient', type: 'string', value: 'no', description: 'Enable dhclient support (deprecated)')
option('dhcpcd', type: 'string', value: '', description: 'Enable dhcpcd support')
option('config_dhcp_default', type: 'combo', choices: ['dhclient', 'dhcpcd', 'internal', 'nettools'], value: 'internal', description: 'Default configuration option for main.dhcp setting, used as fallback if the configuration option is unset')

# miscellaneous
option('introspection', type: 'boolean', value: true, description: 'Enable introspection for this build')
option('vapi', type : 'combo', choices : ['auto', 'true', 'false'], description: 'build Vala bindings')
option('docs', type: 'boolean', value: false, description: 'use to build documentation')
option('tests', type: 'combo', choices: ['yes', 'no', 'root'], value: 'yes', description: 'Build NetworkManager tests')
option('firewalld_zone', type: 'boolean', value: true, description: 'Install and use firewalld zone for shared mode')
option('more_asserts', type: 'string', value: 'auto', description: 'Enable more assertions for debugging (0 = no, 100 = all, default: auto)')
option('more_logging', type: 'boolean', value: true, description: 'Enable more debug logging')
option('valgrind', type: 'array', value: ['no'], description: 'Use valgrind to memory-check the tests')
option('valgrind_suppressions', type: 'string', value: '', description: 'Use specific valgrind suppression file')
option('ld_gc', type: 'boolean', value: true, description: 'Enable garbage collection of unused symbols on linking')
option('libpsl', type: 'boolean', value: true, description: 'Link against libpsl')
option('crypto', type: 'combo', choices: ['nss', 'gnutls', 'null'], value: 'nss', description: 'Cryptography library to use for certificate and key operations')
option('qt', type: 'combo', choices: ['auto', 'true', 'false'], value: 'auto', description: 'enable Qt examples')
option('readline', type: 'combo', choices: ['auto', 'libreadline', 'libedit', 'none'], description: 'Using readline (auto) or libedit)')

=== src/c-stdaux/meson_options.txt ===
option(
        'version-scripts',
        choices: ['yes', 'no', 'auto'],
        description: 'Enable GNU-version-scripts for linking',
        type: 'combo',
        value: 'auto',
)

=== src/n-acd/meson_options.txt ===
option('ebpf', type: 'boolean', value: true, description: 'Enable eBPF packet filtering')

=== debian/changelog ===
network-manager (1.52.0-6) unstable; urgency=medium

  [ Lukas Märdian ]
  * d/tests: Add initial autopkgtests
  * d/t/base.py: Install backup mgmt network in /run/systemd/network/
  * d/t/base.py: Overmount /run/network/ to isolate tests from ifupdown & ifstate
  * d/t/base.py: decrease huge nm-online timeouts

 -- Michael Biebl <biebl@debian.org>  Tue, 25 Mar 2025 18:33:40 +0100

network-manager (1.52.0-5) unstable; urgency=medium

  [ Sicelo A. Mhlongo ]
  * Enable support for ofono

  [ Michael Biebl ]
  * Stop setting the build system explicitly.
    It is no longer necessary as upstream has removed the build system based
    on autotools and only supports the Meson based one.
  * Bump Standards-Version to 4.7.2

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Mar 2025 20:39:47 +0100

network-manager (1.52.0-4) unstable; urgency=medium

  * No change source-only upload

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Mar 2025 21:11:39 +0100

network-manager (1.52.0-3) unstable; urgency=medium

  * Split translations into a separate package named network-manager-l10n.
    The translations make up more than 50% of the disk footprint.
    To make network-manager more suitable for minimal environments, split
    the translations into a separate package named network-manager-l10n and
    make network-manager recommend this new package. This means that
    translations will still be installed by default but they can be omitted
    if desired.

 -- Michael Biebl <biebl@debian.org>  Sat, 08 Mar 2025 16:51:47 +0100

network-manager (1.52.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Sat, 01 Mar 2025 22:34:37 +0100

network-manager (1.52.0-1) experimental; urgency=medium

  * New upstream version 1.52.0
  * Rebase patches
  * Bump 1.51.90 symbol versions to 1.52.0 for the final release

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Feb 2025 18:58:44 +0100

network-manager (1.51.90-1) experimental; urgency=medium

  * New upstream version 1.51.90 (1.52 rc1)
  * Drop obsolete build option
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Feb 2025 14:39:07 +0100

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PPPD_PLUGIN_DIR := $(shell dh_ppp --plugin-dir)
 
 %:
-	dh $@ --with ppp --without autoreconf --buildsystem=meson
+	dh $@ --with ppp
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -20,7 +20,6 @@
 		-Dpppd=/usr/sbin/pppd \
 		-Dresolvconf=/usr/sbin/resolvconf \
 		-Dmodprobe=/usr/sbin/modprobe \
-		-Ddhcpcanon=false \
 		-Ddhcpcd=false \
 		-Diptables=/usr/sbin/iptables \
 		-Dnft=/usr/sbin/nft \
@@ -30,13 +29,13 @@
 		-Dudev_dir=/usr/lib/udev \
 		-Ddbus_conf_dir=/usr/share/dbus-1/system.d \
 		-Dcrypto=gnutls \
-		-Dsession_tracking=no \
-		-Dsuspend_resume=consolekit \
+		-Dsession_tracking=systemd \
+		-Dsuspend_resume=systemd \
 		-Dmodem_manager=true \
 		-Dnmtui=true \
 		-Dnmcli=true \
 		-Dselinux=true \
-		-Dsystemd_journal=false \
+		-Dsystemd_journal=true \
 		-Dlibaudit=yes \
 		-Dwext=true \
 		-Dwifi=true \
@@ -56,13 +55,14 @@
 		-Dovs=false \
 		-Dqt=false \
 		-Debpf=false \
-		-Dofono=false
+		-Dofono=true
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
 
+override_dh_installsystemd:
+	dh_installsystemd -pnetwork-manager --no-start NetworkManager-dispatcher.service NetworkManager-wait-online.service nm-priv-helper.service
+	dh_installsystemd -pnetwork-manager --no-also NetworkManager.service
+
 override_dh_ppp:
 	dh_ppp --breaks
-
-override_dh_missing:
-	dh_missing --list-missing

## network-manager 1.52.1

=== meson_options.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 option('kernel_firmware_dir', type: 'string', value: '/lib/firmware', description: 'where kernel firmware directory is (default is /lib/firmware)')
 option('runtime_dir', type: 'string', value: '', description: 'Directory for transient runtime state [default: LOCALSTATEDIR/run or /run]')
 option('iptables', type: 'string', value: '', description: 'path to iptables')
+option('ip6tables', type: 'string', value: '', description: 'path to ip6tables')
 option('nft', type: 'string', value: '', description: 'path to nft')
 option('dnsmasq', type: 'string', value: '', description: 'path to dnsmasq')
 option('modprobe', type: 'string', value: '', description: 'path to modprobe')

=== debian/changelog ===
network-manager (1.52.1-1+rpt4) trixie; urgency=medium

  * Add patch to fix duplicate connections and improve synchronization with netplan.
    - Deduplicate netplan-generated connections by ID; prefer UUID-backed ones.
    - Limit writes to connections with the "netplan-" filename prefix.
    - When loading a single netplan connection, only sync that one.
    - Avoid writing non-netplan connections to /etc/netplan.

 -- Paul Oberosler <paul.oberosler@raspberrypi.com>  Thu, 08 Oct 2025 19:05:10 +0100

network-manager (1.52.1-1+rpt3) trixie; urgency=medium

  * Import Ubuntu's netplan integration patches

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Sep 2025 16:35:27 +0100

network-manager (1.52.1-1+rpt2) trixie; urgency=medium

  * Revert "NetworkManager.conf: default ipv4.link-local to fallback"
    - Making this a raspi-config toggle instead, since it doesn't behave as
      expected.
  * Revert "NetworkManager.conf: disable MAC randomization feature"
    - Move this to raspberrypi-net-mods

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Sep 2025 15:40:42 +0100

network-manager (1.52.1-1+rpt1) trixie; urgency=medium

  * NetworkManager.conf: disable MAC randomization feature
  * NetworkManager.conf: default ipv4.link-local to fallback

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 05 Aug 2025 12:36:25 +0100

network-manager (1.52.1-1) unstable; urgency=medium

  * New upstream version 1.52.1
  * Explicitly specify the path for ip6tables

 -- Michael Biebl <biebl@debian.org>  Tue, 15 Jul 2025 12:21:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Mark Hindley <mark@hindley.org.uk>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 13.11.6),
                dh-sequence-gir,
@@ -14,7 +15,8 @@
                libaudit-dev,
                libgnutls28-dev (>= 2.12),
                uuid-dev,
-               libelogind-dev (>= 209),
+               systemd-dev,
+               libsystemd-dev (>= 209),
                libudev-dev (>= 175),
                gir1.2-gio-2.0-dev,
                gir1.2-girepository-2.0,
@@ -41,11 +43,13 @@
                python3-dbus <!nocheck>,
                python3-pexpect <!nocheck>,
                iproute2 <!nocheck>,
-Standards-Version: 4.7.0
+               libyaml-dev [!i386],
+               libnetplan-dev (>= 0.106~) [!i386],
+               netplan.io (>= 0.106~) [!i386] <!nocheck>,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://git.devuan.org/devuan/network-manager.git
-Vcs-Browser: https://git.devuan.org/devuan/network-manager
-Origin: Devuan
+Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
+Vcs-Browser: https://salsa.debian.org/utopia-team/network-manager
 Homepage: https://networkmanager.dev/
 
 Package: network-manager
@@ -53,17 +57,19 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         netplan.io (>= 0.106~) [!i386],
          libnm0 (= ${binary:Version}),
          default-dbus-system-bus | dbus-system-bus,
          adduser,
-         default-logind | logind,
 Recommends: ppp,
             dnsmasq-base,
             modemmanager,
             wireless-regdb,
             wpasupplicant,
+            libpam-systemd,
             polkitd,
             udev,
+            network-manager-l10n,
 Suggests: libteam-utils,
           iptables,
 Breaks: ${misc:Breaks}
@@ -94,6 +100,17 @@
  This package provides documentation of the NetworkManager D-Bus API, the
  configuration formats and command line utilities.
  It also provides D-Bus introspection files.
+
+Package: network-manager-l10n
+Section: localization
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Breaks: network-manager (<< 1.52.0-3~)
+Replaces: network-manager (<< 1.52.0-3~)
+Description: network management framework (translation files)
+ This package provides translations for messages of the programs found in the
+ network-manager package.
 
 Package: libnm0
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+ifeq ($(DEB_HOST_ARCH), i386)
+  NETPLAN += -Dnetplan=false
+endif
 
 # Disable lto here regardless of whether we enable the configure flag
 # https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/1070
@@ -22,6 +26,7 @@
 		-Dmodprobe=/usr/sbin/modprobe \
 		-Ddhcpcd=false \
 		-Diptables=/usr/sbin/iptables \
+		-Dip6tables=/usr/sbin/ip6tables \
 		-Dnft=/usr/sbin/nft \
 		-Ddnsmasq=/usr/sbin/dnsmasq \
 		-Dpolkit_agent_helper_1=/usr/lib/policykit-1/polkit-agent-helper-1 \
@@ -55,7 +60,17 @@
 		-Dovs=false \
 		-Dqt=false \
 		-Debpf=false \
-		-Dofono=true
+		-Dofono=true \
+		$(NETPLAN)
+
+override_dh_auto_test:
+ifneq ($(findstring -Dnetplan=false,$(NETPLAN)),)
+	# netplan disabled => run tests
+	dh_auto_test
+else
+	# netplan enabled => skip
+	@echo "Skipping tests: netplan integration is enabled"
+endif
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

## network-manager 1.54.0

=== debian/changelog ===
network-manager (1.54.0-1) experimental; urgency=medium

  * New upstream version 1.54.0
  * Rebase patches
  * Disable NBFT support in the initrd generator.
    The nm-initrd-generator is not really hooked up in Debian and enabling
    NBFT support would drap in additional dependencies like NVME.
    So disable support for this feature until there is actual demand for it.
  * Update symbols file for libm0

 -- Michael Biebl <biebl@debian.org>  Mon, 04 Aug 2025 14:58:52 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,6 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
-
-ifeq ($(DEB_HOST_ARCH), i386)
-  NETPLAN += -Dnetplan=false
-endif
 
 # Disable lto here regardless of whether we enable the configure flag
 # https://gitlab.freedesktop.org/NetworkManager/NetworkManager/-/issues/1070
@@ -60,17 +56,8 @@
 		-Dovs=false \
 		-Dqt=false \
 		-Debpf=false \
-		-Dofono=true \
-		$(NETPLAN)
-
-override_dh_auto_test:
-ifneq ($(findstring -Dnetplan=false,$(NETPLAN)),)
-	# netplan disabled => run tests
-	dh_auto_test
-else
-	# netplan enabled => skip
-	@echo "Skipping tests: netplan integration is enabled"
-endif
+		-Dnbft=false \
+		-Dofono=true
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/

## network-manager 1.54.1

=== src/c-rbtree/meson_options.txt ===
option('ptrace', type: 'boolean', value: false, description: 'Allow ptrace in test suite')

=== debian/changelog ===
network-manager (1.54.1-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 22 Sep 2025 18:52:50 +0300

network-manager (1.54.1-1) unstable; urgency=medium

  * New upstream version 1.54.1
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Fri, 12 Sep 2025 20:06:06 +0200

network-manager (1.54.0-4) unstable; urgency=medium

  * Rename debian-branch to debian/latest as per DEP-14

 -- Michael Biebl <biebl@debian.org>  Fri, 15 Aug 2025 21:35:54 +0200

network-manager (1.54.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Michael Biebl <biebl@debian.org>  Mon, 11 Aug 2025 23:01:53 +0200

network-manager (1.54.0-2) experimental; urgency=medium

  * Increase test timeouts by a factor of two.
    This should help slower architectures like hppa. (Closes: #1075915)

 -- Michael Biebl <biebl@debian.org>  Tue, 05 Aug 2025 12:59:46 +0200

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,6 @@
                libaudit-dev,
                libgnutls28-dev (>= 2.12),
                uuid-dev,
-               systemd-dev,
-               libsystemd-dev (>= 209),
                libudev-dev (>= 175),
                gir1.2-gio-2.0-dev,
                gir1.2-girepository-2.0,
@@ -43,9 +41,6 @@
                python3-dbus <!nocheck>,
                python3-pexpect <!nocheck>,
                iproute2 <!nocheck>,
-               libyaml-dev [!i386],
-               libnetplan-dev (>= 0.106~) [!i386],
-               netplan.io (>= 0.106~) [!i386] <!nocheck>,
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
@@ -57,7 +52,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         netplan.io (>= 0.106~) [!i386],
          libnm0 (= ${binary:Version}),
          default-dbus-system-bus | dbus-system-bus,
          adduser,

=== debian/rules ===
--- 
+++ 
@@ -30,13 +30,13 @@
 		-Dudev_dir=/usr/lib/udev \
 		-Ddbus_conf_dir=/usr/share/dbus-1/system.d \
 		-Dcrypto=gnutls \
-		-Dsession_tracking=systemd \
-		-Dsuspend_resume=systemd \
+		-Dsession_tracking=no \
+		-Dsuspend_resume=consolekit \
 		-Dmodem_manager=true \
 		-Dnmtui=true \
 		-Dnmcli=true \
 		-Dselinux=true \
-		-Dsystemd_journal=true \
+		-Dsystemd_journal=false \
 		-Dlibaudit=yes \
 		-Dwext=true \
 		-Dwifi=true \
@@ -62,9 +62,8 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
 
-override_dh_installsystemd:
-	dh_installsystemd -pnetwork-manager --no-start NetworkManager-dispatcher.service NetworkManager-wait-online.service nm-priv-helper.service
-	dh_installsystemd -pnetwork-manager --no-also NetworkManager.service
-
 override_dh_ppp:
 	dh_ppp --breaks
+
+override_dh_missing:
+	dh_missing --list-missing

=== debian/tests/control ===
Features: test-name=nm-eth.py
Tests-Directory: debian/tests
Test-Command: python3 debian/tests/nm-eth.py
Depends: python3, udev, dnsmasq-base, gir1.2-nm-1.0, network-manager, python3-dbusmock
Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed
